Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.conversion
Interface ConversionService

    public interface ConversionService

`ConversionService` provides document conversion service for applications.

Field Summary
`static int` | `CONVERSION_MAX_DOC_SIZE_BYTES` Each conversion should not be over 10MB.
`static int` | `CONVERSION_MAX_NUM_PER_REQUEST` At most 10 conversions are allowed in one request.

Method Summary
`ConversionResult` | `convert(Conversion conversion)` Runs a conversion.
`java.util.List<ConversionResult>` | `convert(java.util.List<Conversion> conversions)` Execute multiple conversions in one request to the conversion backend.
`java.util.concurrent.Future<ConversionResult>` | `convertAsync(Conversion conversion)` Runs a conversion asynchronously.
`java.util.concurrent.Future<java.util.List<ConversionResult>>` | `convertAsync(java.util.List<Conversion> conversions)` Execute multiple conversions in one request to the conversion backend asynchronously.

Field Detail

### CONVERSION_MAX_DOC_SIZE_BYTES

    static final int CONVERSION_MAX_DOC_SIZE_BYTES

  Each conversion should not be over 10MB.

  See Also:
    Constant Field Values

### CONVERSION_MAX_NUM_PER_REQUEST

    static final int CONVERSION_MAX_NUM_PER_REQUEST

  At most 10 conversions are allowed in one request.

  See Also:
    Constant Field Values

Method Detail

### convert

    ConversionResult convert(Conversion conversion)

  Runs a conversion.

  Parameters:
    `conversion` - The Conversion instance to run.
  Returns:
    The ConversionResult instance.
  Throws:
    `ConversionServiceException`

### convert

    java.util.List<ConversionResult> convert(java.util.List<Conversion> conversions)

  Execute multiple conversions in one request to the conversion backend.

  Parameters:
    `conversions` - A collection of Conversion instances to run.
  Returns:
    A collection of ConversionResult instances, one per Conversion in the same order.
  Throws:
    `ConversionServiceException`

### convertAsync

    java.util.concurrent.Future<ConversionResult> convertAsync(Conversion conversion)

  Runs a conversion asynchronously.

  Parameters:
    `conversion` - The Conversion instance to run.
  Returns:
    A future containing the ConversionResult instance. May throw ConversionServiceException when calling get on the future.

### convertAsync

    java.util.concurrent.Future<java.util.List<ConversionResult>> convertAsync(java.util.List<Conversion> conversions)

  Execute multiple conversions in one request to the conversion backend asynchronously.

  Parameters:
    `conversions` - A collection of Conversion instances to run.
  Returns:
    A future containing a collection of ConversionResult instances, one per Conversion in the same order. May throw ConversionServiceException when calling get on the future.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD